using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;
using System.Security.Cryptography.X509Certificates;
using System.Globalization;
using System.Linq.Expressions;

namespace ConsoleApplication1
{

    class Program
    {

        static void Main()
        {
            var linija = Console.ReadLine().Split();
            int N = int.Parse(linija[0]);
            int Q = int.Parse(linija[1]);

            int[] elementi = new int[N];
            int[] scenario = new int[Q];
            int[] resenja = new int[Q];
            int dimenzija = 0;
            var linija1 = Console.ReadLine().Split();
            for (int i = 0; i < N; i++)
            {
                elementi[i] = int.Parse(linija1[i]);
            }
            Array.Sort(elementi);
            var linija2 = Console.ReadLine().Split();
            for (int i = 0; i < Q; i++)
            {
                scenario[i] = int.Parse(linija2[i]);
            }
            int br = 0, pozBr = 0;
            int medijana = elementi[N / 2 + 1];
            for (int i = 0; i < Q; i++)
            {
                if (scenario[i] == medijana)
                {
                    resenja[dimenzija++] = 0;
                    elementi[i] = -1;
                    
                }
                else
                {
                    for (int j = 0; j < N; j++)
                    {
                        if (elementi[j]!=-1 && scenario[i] == elementi[j])
                        {
                            br++;
                            pozBr = j;
                            break;
                        }
                    }
                    if (br!=0)
                    {
                        resenja[dimenzija++] = Math.Abs(pozBr - (N - pozBr));
                    }
                    else if (br==0)
                    {
                        resenja[dimenzija++] = N;
                    }
                    br = 0;

                }

            }


            Array.Sort(resenja);
            for (int i=0;i<dimenzija;i++)
            {
                Console.WriteLine(resenja[i]);
            }
                


        }


    }
}